Create Or Modify Alert

View as MarkdownOpen in Claude
Endpoint used to create a new alert, or modify an existing alert.

Path parameters

accountIdstringRequired

Request

This endpoint expects an object.
alertNamestringRequired
Alert name.
alertMessagestringRequired
Alert message which will be sent
alertRepeatableenumRequired

Boolean number (0, 1) signifies if an alert can be triggered more than once. A value of ‘1’ is required for MTA alerts

outsideRthenumRequired

Allow (1) or disallow (0) the alert to be triggered outside of regular trading hours

tifenumRequired
Time in Force duration of alert.
conditionslist of objectsRequired
Container for all conditions applied for an alert to trigger.
orderIdlongOptional

optional; used in case of modification and represent Alert Id

emailstringOptional
Email address you want to send email alerts to
expireTimestringOptional
Used with a tif of "GTD" only. Signifies time when the alert should terminate if no alert is triggered.
iTWSOrdersOnlylongOptional

allow (0) or disallow (1) alerts to trigger alerts through the mobile app

sendMessageenumOptional

allow (1) or disallow (0) alerts to trigger email messages

showPopuplongOptional

allow (1) or disallow (0) alerts to trigger TWS Pop-up messages

Response

An object containing valid accounts and the account properties regarding trading access. This endpoint is also used to confirm account validation.
request_idlong
Not applicable
order_idlong
The tracking number of the alert. Alert identifier internally referenced as order id.
successboolean
Displays result status of alert request
textstring
Response message to clarify submission status.
order_statusstring
Not applicable
warning_messagestring
Returns 'null'

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error